Loading...
Searching...
No Matches
bsslap_pdu Struct Reference
3GPP TS 48.071 BSS LCS Assistance Protocol (BSSLAP).

`#include <gsm_48_071.h>`

## Data Fields

enum bsslap_msgt | msg_type
union { |
struct bsslap_ta_response ta_response |
enum bsslap_cause reject |
struct bsslap_reset reset |
enum bsslap_cause abort |
struct bsslap_ta_layer3 ta_layer3 |
}; |  |

## Field Documentation

## [union]

union { ... } bsslap_pdu

## abort

enum bsslap_cause bsslap_pdu::abort

Referenced by osmo_bsslap_dec(), and osmo_bsslap_enc().

## msg_type

enum bsslap_msgt bsslap_pdu::msg_type

Referenced by osmo_bssap_le_pdu_to_str_buf(), osmo_bsslap_dec(), and osmo_bsslap_enc().

## reject

enum bsslap_cause bsslap_pdu::reject

Referenced by osmo_bsslap_dec(), and osmo_bsslap_enc().

## reset

struct bsslap_reset bsslap_pdu::reset

Referenced by osmo_bsslap_dec(), and osmo_bsslap_enc().

## ta_layer3

struct bsslap_ta_layer3 bsslap_pdu::ta_layer3

Referenced by osmo_bsslap_dec(), and osmo_bsslap_enc().

## ta_response

struct bsslap_ta_response bsslap_pdu::ta_response

Referenced by osmo_bsslap_dec(), and osmo_bsslap_enc().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_48_071.h